#include "rendering/FileTexture.h"
#include "utils/PNGReader.h"

FileTexture::FileTexture(const char* path) {
    u32 maxWidth = 128;
    u32 maxHeight = 128;
    u32 buffer[128 * 128];
    if(PNGReader::load(path, buffer, maxWidth, maxHeight)) {
        texture.setRGBAData(maxWidth, maxHeight, buffer);
    }
}

void FileTexture::bind() const {
    texture.bind();
}