#version 300 es

precision highp float;

layout (location = 0) in vec2 position;
layout (location = 1) in vec2 tex;
layout (location = 2) in vec4 color;

uniform mat3 view;
uniform mat3 model;

out vec2 varTex;
out vec4 varColor;

void main() { 
    varTex = tex; 
    varColor = color; 
    gl_Position = vec4(view * model * vec3(position, 1.0), 1.0);
}